* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

body {
  display: grid;
  place-items: center;

  width: 100%;
  height: 100vh;
  background-color: rgb(46,51,80);
}

.wrapper {
  display: grid;
  place-items: center;

  width: 60rem;
  aspect-ratio: 1;
  perspective: 100rem;
  perspective-origin: 76% 27%;
}

.circle {
  position: absolute;
  width: 40rem;
  aspect-ratio: 1;
  border: .1rem dashed #0ff;
  border-radius: 50%;
  transform-style: preserve-3d;
}

.circle-1 {
  transform: rotateY(70deg) rotateX(40deg);
  animation: circle1Anim 2s -1s infinite linear;
}

@keyframes circle1Anim {
  0% {
    transform: rotateY(70deg) rotateX(40deg);
  }

  100% {
    transform: rotateY(70deg) rotateX(40deg) rotateZ(360deg);
  }
}

.circle-2 {
  transform: rotateY(70deg) rotateX(-40deg);
  animation: circle2Anim 2s infinite linear;
}

@keyframes circle2Anim {
  0% {
    transform: rotateY(70deg) rotateX(-40deg);
  }

  100% {
    transform: rotateY(70deg) rotateX(-40deg) rotateZ(360deg);
  }
}

.circle-3 {
  transform: rotateY(180deg) rotateX(90deg);
  animation: circle3Anim 2s infinite linear;
}

@keyframes circle3Anim {
  0% {
    transform: rotateY(180deg) rotateX(90deg);
  }

  100% {
    transform: rotateY(180deg) rotateX(90deg) rotateZ(360deg);
  }
}

.circle-3::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 12rem;
  aspect-ratio: 1;

  border-radius: 50%;
  background-image: radial-gradient(
    rgb(255,255,255),
    50%,
    rgb(55,132,146)
  );
  transform: translate(-50%,-50%) rotateX(90deg);
  animation: mainBallAnim 2s infinite linear;
}

@keyframes mainBallAnim {
  0% {
    transform: translate(-50%,-50%) rotateX(90deg);
  }

  100% {
    transform: translate(-50%,-50%) rotateX(90deg) rotateY(-360deg);
  }
}

.ball {
  position: absolute;
  top: -3rem;
  left: calc(50% - 3rem);
  
  width: 6rem;
  aspect-ratio: 1;
  border-radius: 50%;
  background-image: radial-gradient(
    rgb(135,214,240),
    70%,
    rgb(44,44,167)
  );
  
}

.ball-1,
.ball-2 {
  transform: rotateY(-90deg);
  animation: ballAnim 2s infinite linear;
}

@keyframes ballAnim {
  0% {
    transform: rotateY(-90deg);
  }
  100% {
    transform: rotateY(-90deg) rotateX(-360deg);
  }
}


.ball-3 {
  transform: rotateY(90deg) rotateX(90deg);
  animation: ball3Anim 2s infinite linear;
}

@keyframes ball3Anim {
  0% {
    transform: rotateY(90deg) rotateX(90deg);
  }
  100% {
    transform: rotateY(90deg) rotateX(450deg);
  }
}